DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-08-21-EmailAttachments-ContentType';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=4490) THEN
			RETURN;
		END IF;

		BEGIN
		ALTER TABLE public."EmailAttachments" ADD "ContentTypeNew" character varying(1024);
		UPDATE public."EmailAttachments" SET "ContentTypeNew" = "ContentType";
		ALTER TABLE public."EmailAttachments" DROP "ContentType";
		ALTER TABLE public."EmailAttachments" RENAME "ContentTypeNew" TO "ContentType";

 
		INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-08-21-EmailAttachments-ContentType: %', SQLERRM;
		END;
	END;
$$
